> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindset.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an agent by UID



## OpenAPI

````yaml /deploy/api/openapi.json delete /api/v1/appuid/{appUid}/agents/uid/{uid}
openapi: 3.0.1
info:
  title: Mindset API Gateway
  version: 1.2.0
servers:
  - url: https://a.api.mindset.ai
  - url: https://b.api.mindset.ai
  - url: https://c.api.mindset.ai
  - url: https://d.api.mindset.ai
security: []
tags:
  - name: Agent Configuration
  - name: Agent Sessions
  - name: AppStatus
  - name: Context Files
  - name: Contexts
  - name: DynamicComponents
  - name: Labels
  - name: SDK Users
  - name: Threads
  - name: Webhooks
  - name: Agent Management (deprecated)
paths:
  /api/v1/appuid/{appUid}/agents/uid/{uid}:
    delete:
      tags:
        - Agent Management (deprecated)
      summary: Delete an agent by UID
      operationId: deleteAgentByUid
      parameters:
        - name: appUid
          in: path
          description: Your application's uid
          required: true
          schema:
            minLength: 1
            type: string
        - name: uid
          in: path
          description: Unique ID of the agent
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful deletion
          content: {}
        '404':
          description: Agent not found
          content: {}
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: x-api-key
      in: header

````